> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2025 11 14T09:38:20Z

#### What's Changed

***

##### `GET` /api/auction\_bids

###### Return Type:

Changed response : **200 OK**

> 200

* New content type : `application/json`

##### `GET` /api/users

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  New required properties:

  * `hasNextPage`

  - Added property `hasNextPage` (boolean)
    > Indicates if there is a next page of results

##### `GET` /api/website\_user\_attributes

###### Parameters:

Added: `startingAfter` in `query`

> Pagination cursor to start after a specific resource ID

Changed: `limit` in `query`

> Maximum number of records to return (max 100)

##### `GET` /api/website\_user\_attributes/values

###### Parameters:

Added: `startingAfter` in `query`

> Pagination cursor to start after a specific resource ID

Changed: `limit` in `query`

> Maximum number of records to return (max 100)

##### `GET` /api/loyalty/badges

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  New required properties:

  * `data`
  * `hasNextPage`

  New optional properties:

  * `createdAt`

  * `description`

  * `id`

  * `imageUrl`

  * `loyaltyConditions`

  * `name`

  * `updatedAt`

  - Added property `data` (array)

    Items (object):

    > Response returned upon successful fetching of the badges.

    * Property `id` (string)
      > UUID of the badge (converted to lowercase)

    * Property `name` (string)
      > The name of the badge

    * Property `description` (string)
      > The description of the badge

    * Property `imageUrl` (string)
      > The URL of the badge image

    * Property `loyaltyConditions` (array)

      > Array of conditions of the badge

      Items (object):

      > Schema for a loyalty condition rule.

      * Property `id` (string)
        > UUID of the condition (converted to lowercase)

      * Property `type` (string)

        > The type of the condition

        Enum values:

        * `rule`
        * `rules`
        * `points`
        * `section`
        * `level`
        * `api`
        * `badge`
        * `badges`
        * `csv`

      * Property `description` (string)
        > The description of the condition

      * Property `amount` (number)
        > The amount of the condition

      * Property `repeatCount` (number)
        > The repeat count of the condition

      * Property `requiredCount` (number)
        > The required count of the condition

      * Property `loyaltyRuleGroupId` (string)
        > UUID of the rule group (converted to lowercase)

      * Property `association` (array)

        Items (object):

        * Property `loyaltyRule` (object)

          * Property `id` (string)
            > UUID of the association (converted to lowercase)

          * Property `name` (string)
            > The name of the association

        * Property `loyaltyBadge` (object)

        * Property `loyaltyRuleGroup` (object)

        * Property `loyaltyCurrency` (object)

        * Property `loyaltyLeaderboardView` (object)

      * Property `loyaltyCurrencyId` (string)
        > UUID of the currency (converted to lowercase)

      * Property `csvUrl` (string)
        > URL of the CSV file

      * Property `csvFiles` (array)

        > Array of CSV files associated with the condition

        Items (object):

        * Property `id` (string)
          > UUID of the CSV file (converted to lowercase)

        * Property `url` (string)
          > The URL of the CSV file

        * Property `name` (string)
          > The name of the CSV file

        * Property `description` (string)
          > The description of the CSV file

    * Property `loyaltyBadgeUsers` (array)

      > Array of user badges

      Items (object):

      * Property `id` (string)
        > UUID of the user badge (converted to lowercase)

      * Property `userId` (string)
        > UUID of the user (converted to lowercase)

      * Property `websiteId` (string)
        > UUID of the website (converted to lowercase)

      * Property `organizationId` (string)
        > UUID of the organization (converted to lowercase)

      * Property `status` (string)

        > The status of the badge

        Enum values:

        * `active`
        * `inactive`
        * `revoked`

      * Property `loyaltyBadgeId` (string)
        > UUID of the badge (converted to lowercase)

      * Property `progress` (object)
        > Array of progress for the badge

      * Property `dismissedInUi` (boolean)
        > Whether the user has dismissed the badge in the UI

      * Property `user` (object)

        > User associated with the user badge

        * Property `id` (string)
          > UUID of the user (converted to lowercase)

        * Property `walletAddress` (string)
          > Wallet address of the user

      * Property `createdAt` (string)
        > The date and time the user badge was created

      * Property `updatedAt` (string)
        > The date and time the user badge was updated

    * Property `loyaltyRules` (array)

      > Array of loyalty rules associated with the badge

      Items (object):

      * Property `id` (string)
        > UUID of the loyalty rule (converted to lowercase)

      * Property `name` (string)
        > The name of the loyalty rule

    * Property `dataJobs` (array)

      > Array of data jobs associated with the badge

      Items (object):

      * Property `id` (string)
        > UUID of the data job (converted to lowercase)

      * Property `status` (string)

        > The status of the data job

        Enum values:

        * `pending`
        * `complete`
        * `failed`

      * Property `message` (string)
        > The message associated with the data job

      * Property `createdAt` (string)
        > The date and time the data job was created

      * Property `updatedAt` (string)
        > The date and time the data job was updated

    * Property `createdAt` (string)
      > The date and time the badge was created

    * Property `updatedAt` (string)
      > The date and time the badge was updated

  - Added property `hasNextPage` (boolean)
    > Indicates if there is a next page of results

  - Deleted property `id` (string)
    > UUID of the badge (converted to lowercase)

  - Deleted property `name` (string)
    > The name of the badge

  - Deleted property `description` (string)
    > The description of the badge

  - Deleted property `imageUrl` (string)
    > The URL of the badge image

  - Deleted property `loyaltyConditions` (array)
    > Array of conditions of the badge

  - Deleted property `loyaltyBadgeUsers` (array)
    > Array of user badges

  - Deleted property `loyaltyRules` (array)
    > Array of loyalty rules associated with the badge

  - Deleted property `dataJobs` (array)
    > Array of data jobs associated with the badge

  - Deleted property `createdAt` (string)
    > The date and time the badge was created

  - Deleted property `updatedAt` (string)
    > The date and time the badge was updated

##### `GET` /api/loyalty/questions

###### Parameters:

Added: `limit` in `query`

> Maximum number of records to return (max 100)

Added: `startingAfter` in `query`

> Pagination cursor to start after a specific resource ID

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

##### `GET` /api/loyalty/questions\_responses

###### Parameters:

Added: `limit` in `query`

> Maximum number of records to return (max 100)

Added: `startingAfter` in `query`

> Pagination cursor to start after a specific resource ID

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  New required properties:

  * `data`
  * `hasNextPage`

  New optional properties:

  * `responses`

  - Added property `data` (array)

    Items (object):

    > Response details including the question and choice information

    * Property `id` (string)

    * Property `userId` (string)

    * Property `loyaltyQuestionId` (string)

    * Property `loyaltyQuestionChoiceId` (string)

    * Property `createdAt` (string)

    * Property `isCorrect` (boolean)

    * Property `question` (object)

      * Property `text` (string)

      * Property `loyaltyQuestionChoices` (array)

        Items (object):

        * Property `id` (string)

        * Property `text` (string)

        * Property `isCorrect` (boolean)

  - Added property `hasNextPage` (boolean)
    > Indicates if there are more pages of results available

  - Deleted property `responses` (array)
